### Property

# Handy TabView:default-icon

since: 1.2

#### Declaration

    property default-icon: Gio.Icon [ read, write ]

#### Description [src]

Default page icon.

If a page doesn’t provide its own icon via `HdyTabPage:icon`, default icon may be used instead for contexts where having an icon is necessary.

`HdyTabBar` will use default icon for pinned tabs in case the page is not loading, doesn’t have an icon and an indicator. Default icon is never used for tabs that aren’t pinned.

Type:`GIcon`

Available since: 1.2

Getter method | `hdy_tab_view_get_default_icon()`
Setter method | `hdy_tab_view_set_default_icon()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no